Summary:	Real time correlator of events received by Prelude Manager
Summary(pl.UTF-8):	Narzędzie kojarzące w czasie rzeczywistym zdarzenia odebrane przez Prelude Managera
Name:		prelude-correlator
Version:	5.2.0
Release:	3
License:	GPL v2+
Group:		Applications/Networking
#Source0Download: https://www.prelude-siem.org/projects/prelude/files
Source0:	https://www.prelude-siem.org/attachments/download/1394/%{name}-%{version}.tar.gz
# Source0-md5:	9daad16e86ece6b353020e405f9d0e70
Source1:	%{name}.init
Patch0:		%{name}-vardir.patch
URL:		https://www.prelude-siem.org/
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools >= 1:0.6-2.c11
BuildRequires:	rpmbuild(macros) >= 1.714
Requires(pre):	/usr/sbin/useradd
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Requires(postun):	/sbin/service
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Prelude-Correlator allows conducting multi-stream correlations thanks
to a powerful programming language for writing correlation rules. With
any type of alert able to be correlated, event analysis becomes
simpler, quicker and more incisive. This correlation alert then
appears within the Prewikka interface and indicates the potential
target information via the set of correlation rules.

%description -l pl.UTF-8
Prelude-Correlator pozwala na wykonywanie wielostrumieniowych
skojarzeń dzięki potężnemu językowi programowania do tworzenia reguł
korelacji. Dzięki możliwości skorelowania dowolnego rodzaju alarmu,
analiza zdarzeń robi się prostsza, szybsza i dokładniejsza. Tak
skorelowane alarmy pojawiają się następnie w interfejsie Prewikki i
określają potencjalną informację o celu poprzez zbiór reguł korelacji.

%prep
%setup -q
%patch -P 0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
        %service -q %{name} stop
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(700,root,root) %dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/conf.d
%dir %{_sysconfdir}/%{name}/rules
%dir %{_sysconfdir}/%{name}/rules/python
%{_sysconfdir}/%{name}/rules/python/*.py
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_var}/lib/%{name}
%{_var}/lib/%{name}/*.dat
%{py3_sitescriptdir}/preludecorrelator
%{py3_sitescriptdir}/prelude_correlator-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/prelude-correlator.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 9880102
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 176bd38
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 62b2428
- python 3.13 rebuild

* Thu Sep 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 3c947d0
- updated to 5.2.0, use python3

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 417c3ca
- setuptools epoch

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> ae17577
- release 2 (by relup.sh)

* Wed Feb 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 07f4a60
- updated to 5.1.0
- updated vardir patch

* Wed Aug 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 9615bc7
- updated to 4.1.1
- pytonegg(prelude) dependency is autodetected now

* Sun Oct 09 2016 Jakub Bogusz <qboosh@pld-linux.org> a117af4
- updated to 3.1.0
- added vardir patch (fix /var/lib/prelude-correlator layout)

* Fri Feb 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 55ab401
- new URLs, updated to 1.2.6

* Thu Aug 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f63d8b3
- pl
- PLDified spec

* Wed Aug 03 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 7041a6d
- new, stoll^H^H^H^H^Hborrowed from Fedora

